Bug 694662 - the whitespace in the title line of man subscription-manager-gui is completely consumed
the whitespace in the title line of man subscription-manager-gui is completel...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: subscription-manager (Show other bugs)
5.7
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Chris Duryee
J.C. Molet
:
Depends On:
Blocks: rhsm-rhel62 675214
  Show dependency treegraph
 
Reported: 2011-04-07 17:28 EDT by John Sefler
Modified: 2011-07-21 08:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-21 04:45:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Sefler 2011-04-07 17:28:08 EDT
testing version...
# rpm -qa | grep subscription-manager
subscription-manager-gnome-0.95.6-1.git.4.55b6173.el6.x86_64
subscription-manager-firstboot-0.95.6-1.git.4.55b6173.el6.x86_64
subscription-manager-0.95.6-1.git.4.55b6173.el6.x86_64


[root@jsefler-onprem-server ~]# man subscription-manager | head -1
subscription-manager(8)     Subscription Management    subscription-manager(8)

[root@jsefler-onprem-server ~]# man subscription-manager-gui | head -1
subscription-manager-gui(8)Subscription Manager GUIsubscription-manager-gui(8)

^^^ notice in the case of man subscription-manager-gui that the whitespace is
completely consumed.

Suggested Fix for dlackey: change the middle title to "Subscription Manager" for both subscription-manager and subscription-manager-gui.  In my opinion, this common title for both tools is accurate and fixes the whitespace consumption.


Note that this bug was reported late in the cycle for rhel6.1 and missed it.  Therefore, we are now opening this bug for rhel5.7.  So that this fix is also included in rhel6.2, please merge this fix into both the rhel5.7 branch as well as the master branch.
Comment 1 Bryan Kearney 2011-04-07 20:45:16 EDT
Fixed in 01098420f5bfff07ab7c9074de8344731197d0cd. Applied to 5.7 and master.
Comment 2 J.C. Molet 2011-04-28 11:19:38 EDT
This is tested as fixed in both rhel6 and rhel5.7


[root@jmolet-57server rhn]# man subscription-manager-gui | tee | head -1
subscription-manager-gui(8)  Subscription Manager  subscription-manager-gui(8)

[root@jmolet-57server rhn]# rpm -qa | grep subscription
subscription-manager-0.95.5.8-1.git.6.42d8706.el5
subscription-manager-firstboot-0.95.5.8-1.git.6.42d8706.el5
subscription-manager-gnome-0.95.5.8-1.git.6.42d8706.el5

==========================================================

[root@jmolet-vm1 ~]# man subscription-manager-gui | head -1
subscription-manager-gui(8)  Subscription Manager  subscription-manager-gui(8)

[root@jmolet-vm1 ~]# rhsm-version 
subscription-manager-firstboot-0.96.1-1.git.161.cdedcac.el6.x86_64
python-rhsm-0.96.2-1.git.8.260a305.el6.noarch
subscription-manager-gnome-0.96.1-1.git.161.cdedcac.el6.x86_64
subscription-manager-0.96.1-1.git.161.cdedcac.el6.x86_64


Marking VERIFIED.
Comment 3 errata-xmlrpc 2011-07-21 04:45:38 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-1078.html
Comment 4 errata-xmlrpc 2011-07-21 08:29:56 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-1078.html

Note You need to log in before you can comment on or make changes to this bug.